## QOS enumerations and flags

QOS enumerations and flags

## Functions

const gchar * | qmi_qos_status_get_string ()
const gchar * | qmi_qos_event_get_string ()

## Types and Values

enum | QmiQosStatus
enum | QmiQosEvent

## Object Hierarchy

        GEnum
        ├── QmiQosEvent
        ╰── QmiQosStatus

## Description

This section defines enumerations and flags used in the QOS service interface.

## Functions

### qmi_qos_status_get_string ()

    const gchar *
    qmi_qos_status_get_string (QmiQosStatus val);

Gets the nickname string for the QmiQosStatus specified at `val` .

#### Parameters

val | a QmiQosStatus. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.22

### qmi_qos_event_get_string ()

    const gchar *
    qmi_qos_event_get_string (QmiQosEvent val);

Gets the nickname string for the QmiQosEvent specified at `val` .

#### Parameters

val | a QmiQosEvent. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.22

## Types and Values

### enum QmiQosStatus

QoS flow status.

#### Members

QMI_QOS_STATUS_UNKNOWN | Unknown. |
QMI_QOS_STATUS_ACTIVATED | Activated. |
QMI_QOS_STATUS_SUSPENDED | Suspended. |
QMI_QOS_STATUS_GONE | Gone. |

Since: 1.22

### enum QmiQosEvent

QoS event.

#### Members

QMI_QOS_EVENT_UNKNOWN | Unknown. |
QMI_QOS_EVENT_ACTIVATED | Activated. |
QMI_QOS_EVENT_SUSPENDED | Suspended. |
QMI_QOS_EVENT_GONE | Gone. |
QMI_QOS_EVENT_MODIFY_ACCEPTED | Modify accepted. |
QMI_QOS_EVENT_MODIFY_REJECTED | Modify rejected. |
QMI_QOS_EVENT_INFO_CODE_UPDATED | Information code updated. |

Since: 1.22